@import "common/container";
@import "common/variables";
@import "common/categoryBadge.scss";
@import "common/title.scss";

@import "components/header/header";
@import "components/footer/footer";
@import "components/sections/heroSection/heroSection";
@import "components/sections/topicsSection/topicsSection";
@import "components/sections/bannerSection/bannerSection";
@import "components/sections/editorsSection/editorsSection";

*,
*::before,
*::after {
  box-sizing: border-box;
}

html,
body,
div,
span,
h1,
h2,
h3,
h4,
h5,
h6,
p,
pre,
a,
address,
cite,
em,
img,
strike,
strong,
b,
u,
i,
dd,
ol,
ul,
li,
fieldset,
form,
label,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
figure,
figcaption,
footer,
header,
menu,
nav,
section,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-size: inherit;
  font-weight: inherit;
}

ol,
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

img,
svg {
  display: block;
  vertical-align: middle;
}

img,
video {
  max-width: 100%;
  height: auto;
}

a {
  text-decoration: none;
  color: black;
}

body {
  background-color: $color-gray-bg;
  font-family: $font-lora;
  min-height: 100vh;
  scroll-behavior: smooth;
  line-height: 1;
}
